Package org.apache.sling.jcr.jackrabbit.accessmanager

# Class LocalRestriction

java.lang.Object
org.apache.sling.jcr.jackrabbit.accessmanager.LocalRestriction

public class LocalRestriction extends Object
Use to holds details of a restriction

## Constructor Summary

Constructors
Constructor
Description
`LocalRestriction(@NotNull org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition rd, @Nullable javax.jcr.Value value)`
`LocalRestriction(@NotNull org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition rd, @Nullable javax.jcr.Value[] values)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull LocalRestriction`
`cloneWithNewValues(@NotNull LocalRestriction lr, @NotNull javax.jcr.Value[] newValues)`
Clone from an existing object and then assign the new values
`boolean`
`equals(Object obj)`
`String`
`getName()`
`javax.jcr.Value`
`getValue()`
`javax.jcr.Value[]`
`getValues()`
`int`
`hashCode()`
`boolean`
`isMultiValue()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LocalRestriction

public LocalRestriction(@NotNull @NotNull org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition rd, @Nullable @Nullable javax.jcr.Value value)

### LocalRestriction

public LocalRestriction(@NotNull @NotNull org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition rd, @Nullable @Nullable javax.jcr.Value[] values)

## Method Details

### getName

public String getName()

### isMultiValue

public boolean isMultiValue()

### getValue

public javax.jcr.Value getValue()

### getValues

public javax.jcr.Value[] getValues()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### cloneWithNewValues

@NotNull public static @NotNull LocalRestriction cloneWithNewValues(@NotNull @NotNull LocalRestriction lr, @NotNull @NotNull javax.jcr.Value[] newValues)
Clone from an existing object and then assign the new values